We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The React Range Column Chart is used to show variation in the data values for a given time. These charts support UI customization.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Spacing and width

The React Range Column Chart provides an option to customize the spacing between two columns and the width of the column.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The React Range Column Chart chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the React Range Column Chart using built-in APIs.


React Range Column Chart Code Example

Easily get started with React Range Column using a few simple lines of JS code, as demonstrated below. Also explore our React Range Column Chart Example that shows you how to render and configure the range column chart component.

import { ChartComponent, SeriesCollectionDirective, SeriesDirective, Inject, Category, RangeColumnSeries } from '@syncfusion/ej2-react-charts';
import * as React from "react";

class App extends React.Component<{}, {}> {
    public primaryXAxis: AxisModel = { valueType: 'Category'};
    public data1: any[]= [
        { x: 'Jan', low: 0.7, high: 6.1 }, 
        { x: 'Feb', low: 1.3, high: 6.3 }, 
        { x: 'Mar', low: 1.9, high: 8.5 },
        { x: 'Apr', low: 3.1, high: 10.8 }, 
        { x: 'May', low: 5.7, high: 14.40 }, 
        { x: 'Jun', low: 8.4, high: 16.90 },
        { x: 'Jul', low: 10.6, high: 19.20 }, 
        { x: 'Aug', low: 10.5, high: 18.9 }, 
        { x: 'Sep', low: 8.5, high: 16.1 },
        { x: 'Oct', low: 6.0, high: 12.5 }, 
        { x: 'Nov', low: 1.5, high: 6.9 }, 
        { x: 'Dec', low: 5.1, high: 12.1 }
];

public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryxAxis}>
                  <Inject services={[RangeColumnSeries,Category]}/>
                  <SeriesCollectionDirective>
                      <SeriesDirective dataSource={this.data1} xName='x' low='low' high='high' type='RangeColumn'>
                      </SeriesDirective>
                   </SeriesCollectionDirective>
              </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

Range Column Chart User Guide

Learn the available options to customize React Range Column chart.

API

Range Column Chart API Reference

Explore the React Range Column chart APIs.


85+ REACT UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

The Angular Range Column Chart is used to show variation in the data values for a given time. These charts support UI customization.


Marker

Mark data points with built-in shapes: circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the points more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by a given angle.


Spacing and width

The Angular Range Column Chart provides an option to customize the spacing between two columns and the width of the column.


Empty/null data point

Handle missing data elegantly with empty points support.


Vertical chart

The Angular Range Column Chart chart can be transposed vertically to view the data from a different perspective.


Customization

Customize the color and border of the Angular Range Column Chart using built-in APIs.


Angular Range Column Chart Code Example

Easily get started with Angular Range Column using a few simple lines of JS code, as demonstrated below. Also explore our Angular Range Column Chart Example that shows you how to render and configure the range column chart component.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
     <e-series [dataSource]='data' type='RangeColumn' xName='x' high='high' low ='low'> </e-series>    
</e-series-collection>
</ejs-chart>
//app.component.ts

import { Component } from '@angular/core';
export class AppComponent { 
  public data: Object[];
  constructor () {
    let series1: Object[] = [];
    let value: number = 35;
    let point1: Object;

   for (let i: number = 1; i < 360; i++) {
    if (Math.random() > .5) {
        value += Math.random();
    } else {
        value -= Math.random();
    }
    point1 = {
        x: new Date(2015, 0, i),
        high: value, low: value - 10
    };
    series1.push(point1);
   }
    this.data = series1;
} 
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'DateTime',
     
};
}

//app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { RangeColumnSeriesService, DateTimeService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ RangeColumnSeriesService, DateTimeService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

Range Column Chart User Guide

Learn the available options to customize Angular Range Column Chart.

API

Range Column Chart API Reference

Explore the Angular Range Column Chart APIs.


85+ ANGULAR UI COMPONENTS

Scroll up icon